#!/bin/bash
############ plot GFS 850hPa RH ######################
export GRADS='grads -d Cairo -h GD'
export filein=gfs.t00z.pgrb2.0p25.f108
./g2ctl ${filein} > ${filein}.ctl
./gribmap -i ${filein}.ctl

export ymdh=2018090100
export hour=108
#----------------------------------------
export fileout=OffConv_${ymdh}_PRNC_f${hour}
gnamelist=${filein}_PRNChpa.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 312 317';'set lat 20 25';'set lev 850';'set xlint 1';'set ylint 1'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 1'"             >> ${gnamelist}
echo "'display NCPCPsfc'"                                                   >> ${gnamelist}
#echo "'draw title RH AL06 ${ymdh} 3KMOffConv ${hour}'"            >> ${gnamelist}
echo "'draw title Prec. Non_conv AL06 3KMOffConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

#----------------------------------------
export fileout=OffConv_${ymdh}_PRCV_f${hour}
gnamelist=${filein}_PRCVhpa.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 312 317';'set lat 20 25';'set lev 700';'set xlint 1';'set ylint 1'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 1'"             >> ${gnamelist}
echo "'display ACPCPsfc'"                                                   >> ${gnamelist}
#echo "'draw title RH AL06 ${ymdh} 3KMOffConv ${hour}'"            >> ${gnamelist}
echo "'draw title Prec. Conv AL06 3KMOffConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"

#----------------------------------------
export fileout=OffConv_${ymdh}_PRTOT_f${hour}
gnamelist=${filein}_PRTOThpa.gs
echo "'reinit';'clear';'open ${filein}.ctl'"                                      > ${gnamelist}
echo "'set vpage off'"                                               >> ${gnamelist}
echo "'set mproj latlon';'set grads off';'set grid off'"                          >> ${gnamelist}
echo "'set lon 312 317';'set lat 20 25';'set lev 500';'set xlint 1';'set ylint 1'"   >> ${gnamelist}
echo "'set xlopts 1 5 0.12';'set ylopts 1 5 0.12'"                                >> ${gnamelist}
echo "'set gxout contour';'set cthick 8';'set cint 1'"             >> ${gnamelist}
echo "'display APCPsfc'"                                                   >> ${gnamelist}
#echo "'draw title RH AL06 ${ymdh} 3KMOffConv ${hour}'"            >> ${gnamelist}
echo "'draw title Prec. Tot AL06 3KMOffConv ${hour}'"            >> ${gnamelist}
echo "'set display color white'"                                                  >> ${gnamelist}
echo "'printim ${fileout}.gif x1100 y850'"                                         >> ${gnamelist}
echo "*pull dummy;'clear'"                                                        >> ${gnamelist}
echo "quit"                                                                       >> ${gnamelist}
$GRADS -blc "run ${gnamelist}"
